> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取会话列表

> **适用于**：Chatflow、新 Agent、聊天助手、Agent。

获取当前用户的会话列表，按最近活跃时间排序。



## OpenAPI

````yaml /zh/api-reference/openapi_service.json get /conversations
openapi: 3.0.1
info:
  title: Dify 服务 API
  description: 用于 Dify 应用与知识库的 REST API。应用类接口使用应用 API 密钥认证，知识库类接口使用知识库 API 密钥认证。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Dify 服务 API 的基础 URL。自部署时，替换为你的 API 基础 URL。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - name: 对话消息
    description: 与聊天消息和交互相关的操作。
  - name: 文件操作
    description: 文件上传和预览操作。
  - name: 终端用户
    description: 终端用户信息相关操作。
  - name: 消息反馈
    description: 用户反馈操作。
  - name: 会话管理
    description: 与管理会话相关的操作。
  - name: 语音与文字转换
    description: 文字转语音和语音转文字操作。
  - name: 应用配置
    description: 获取应用设置和信息的操作。
  - name: 标注管理
    description: 与管理标注直接回复相关的操作。
  - name: 人工介入
    description: 暂停等待人工输入的工作流恢复操作。
  - name: 工作流运行
    description: 用于执行和管理工作流的操作。
  - name: 文本生成消息
    description: 文本生成相关操作。
  - name: 知识库
    description: 用于管理知识库的操作，包括创建、配置和检索。
  - name: 文档
    description: 用于在知识库中创建、更新和管理文档的操作。
  - name: 分段
    description: 用于管理分段和子分段的操作。
  - name: 元数据
    description: 用于管理知识库元数据字段和文档元数据值的操作。
  - name: 标签
    description: 用于管理知识库标签和标签绑定的操作。
  - name: 模型
    description: 用于获取可用模型的操作。
  - name: 知识流水线
    description: 用于管理和运行知识流水线的操作，包括数据源插件和流水线执行。
paths:
  /conversations:
    get:
      tags:
        - 会话管理
      summary: 获取会话列表
      description: |-
        **适用于**：Chatflow、新 Agent、聊天助手、Agent。

        获取当前用户的会话列表，按最近活跃时间排序。
      operationId: getBasicChatConversationsListCn
      parameters:
        - name: user
          in: query
          required: false
          description: 用户标识符。
          schema:
            type: string
        - name: last_id
          in: query
          required: false
          description: 当前页最后一条记录的 ID（用于分页）。
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: 返回的记录数。
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 100
        - name: sort_by
          in: query
          required: false
          description: 排序字段。使用 '-' 前缀表示降序。
          schema:
            type: string
            enum:
              - created_at
              - '-created_at'
              - updated_at
              - '-updated_at'
            default: '-updated_at'
      responses:
        '200':
          description: 成功获取会话列表。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationsListResponse'
              examples:
                conversationsList:
                  summary: 响应示例
                  value:
                    limit: 20
                    has_more: false
                    data:
                      - id: 45701982-8118-4bc5-8e9b-64562b4555f2
                        name: iPhone Specs Chat
                        inputs:
                          city: San Francisco
                        status: normal
                        introduction: Welcome! How can I help you today?
                        created_at: 1705407629
                        updated_at: 1705411229
        '400':
          description: '`not_chat_app` : 应用模式与 API 路由不匹配。'
          content:
            application/json:
              examples:
                not_chat_app:
                  summary: not_chat_app
                  value:
                    status: 400
                    code: not_chat_app
                    message: Please check if your app mode matches the right API route.
        '404':
          description: '`not_found` : 上一个会话不存在（无效的 `last_id`）。'
          content:
            application/json:
              examples:
                last_conversation_not_exists:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Last Conversation Not Exists.
components:
  schemas:
    ConversationsListResponse:
      type: object
      properties:
        limit:
          type: integer
          description: 每页条目数。
        has_more:
          type: boolean
          description: 是否有更多会话。
        data:
          type: array
          description: 会话列表。
          items:
            $ref: '#/components/schemas/ConversationListItem'
    ConversationListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: 会话 ID。
        name:
          type: string
          description: 会话名称。
        inputs:
          type: object
          additionalProperties: true
          description: 会话的输入变量。
        status:
          type: string
          description: 会话状态。活跃会话为 `normal`。
        introduction:
          type: string
          description: 会话介绍。
        created_at:
          type: integer
          format: int64
          description: 创建时间戳。
        updated_at:
          type: integer
          format: int64
          description: 最后更新时间戳。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**缺少或无效的 API Key 会返回 HTTP
        `401`，错误码为 `unauthorized`。

````